// subPackageMarketing/page/pages/sign/sign.js
const wxService = require('../../../../utils/wxService')
const utils = require('../../../../utils/util');

wxService.page({

  /**
   * 页面的初始数据
   */
  data: {
      webviewSignUrl : '',
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.hideShareMenu();
    let token = wx.getStorageSync('token');
    if(token){
      this.data.webviewSignUrl = `${this.data.signUrl}&wx_minProgram_token=${token}`
      this.setData({
        webviewSignUrl : this.data.webviewSignUrl
      });
    }
    else{
      wx.showToast({
        title: '请选登录！',
        icon : 'none'
      });
    }
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})